=== debian/watch ===
version=3
https://metacpan.org/release/Thread-Tie   .*/Thread-Tie-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
