## libthread-tie-perl 0.15

=== debian/changelog ===
libthread-tie-perl (0.15-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Christopher Hoskin ]
  * Remove trailing whitespace from control
  * Use my debian address in control, copyright and patches
  * Fix additional spelling
  * Bump compat from 9 to 11
  * Bump Standards-Version from 3.9.6 to 4.2.1 (no change required)

  [ gregor herrmann ]
  * Import upstream version 0.15.
  * Update upstream copyright.
  * Refresh fixpod.patch.
  * Update debian/upstream/metadata.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.1.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 Nov 2019 21:24:57 +0100
