=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: libthread-tie-perl
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: libload-perl,
- libthread-serialize-perl,
- perl
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libthread-tie-perl.git
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libthread-tie-perl.git
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: libload-perl <!nocheck>,
+                     libthread-serialize-perl <!nocheck>,
+                     perl
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libthread-tie-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libthread-tie-perl.git
 Homepage: https://metacpan.org/release/Thread-Tie
-Testsuite: autopkgtest-pkg-perl
 
 Package: libthread-tie-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends},
- libload-perl,
- libthread-serialize-perl
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         libload-perl,
+         libthread-serialize-perl
 Description: alternative separate thread implementation of shared variables
  The standard shared variable scheme used by Perl, is based on tie-ing the
  variable to some very special dark magic. This dark magic ensures that shared
- variables, which are copied just as any other variable when a thread is 
+ variables, which are copied just as any other variable when a thread is
  started, update values in all of the threads where they exist as soon as the
  value of a shared variable is changed.
  .
@@ -50,11 +51,11 @@
  .
  Of course there are disadvantages to this approach:
  .
-  * Pure Perl implementation - This module is currently a pure Perl 
+  * Pure Perl implementation - This module is currently a pure Perl
     implementation. This is ok for a proof of concept, but may need re-
     implementation in pure XS or in Inline::C for production use.
  .
   * Tradeoff between cpu and memory - This implementation currently uses (much)
-    more cpu than the standard shared variables implementation. Whether this 
+    more cpu than the standard shared variables implementation. Whether this
     would still be true when re-implemented in XS or Inline::C, remains to be
     seen.
