=== debian/watch ===
version=4
https://metacpan.org/release/Thread-Tie   .*/Thread-Tie-v?@ANY_VERSION@@ARCHIVE_EXT@$
