=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: libload-perl <!nocheck>,
                      libthread-serialize-perl <!nocheck>,
                      perl
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libthread-tie-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libthread-tie-perl.git
 Homepage: https://metacpan.org/release/Thread-Tie
+Rules-Requires-Root: no
 
 Package: libthread-tie-perl
 Architecture: all
